1. API Endpoints
Pix2DePix API
  • 📜 API Overview
  • Docs
    • 🔑 Authentication
    • 💻 Examples
    • 🪝 Webhook
    • ✅ Possible Statuses
      • 📥💰 Deposit Statuses
      • 📤💸 Withdraw Statuses
    • 🛡️ Security & Limits
      • ✅ Best Practices
      • 🪲 Bug Bounty
      • 🧱 Firewall
      • 🚦 API Limits
    • 🧩 Advanced (optional)
      • 🎲 Nonce
      • 🔀 Sync / Async call
  • API Endpoints
    • Ping
      GET
    • Deposit (PIX ➔ DePix)
      POST
    • Deposit Status
      GET
    • Deposits
      GET
    • User Info
      GET
    • Pix2FA
      POST
    • Withdraw
      POST
    • Withdraw Status
      GET
  • Schemas
    • AsyncResponse
    • AllPossibleObjResponses
    • StandardResponse
    • PingObjOrError
    • JWTClaims
    • ObjResponse
    • ErrorObj
    • PingObj
    • ErrorResponse
    • DepositRequest
    • DepositObjOrError
    • DepositObj
    • PingResponse
    • DepositResponse
    • DepositStatusObj
    • DepositStatusResponse
    • DepositWebhookBody
    • DepositsResponse
    • DepositStatus
    • UserInfoResponse
    • Pix2FAResponse
    • WithdrawStatusResponse
    • WithdrawStatusObj
    • WithdrawResponse
    • WithdrawObj
    • WithdrawStatus
    • WithdrawWebhookBody
    • MEDWebhookBody
  1. API Endpoints

Deposit Status

GET
deposit-status
The /deposit-status API is used to retrieve the status of a financial deposit in the system. It provides information about the deposit, such as its current state, amount, and other metadata.
See also: https://docs.eulen.app/deposit-status-string-1443187m0

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://depix.eulen.app/api/deposit-status?id=83b54acc914f48768b5884bd0ff342d8' \
--header 'X-Nonce;' \
--header 'X-Async: auto' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Examples
{
    "response": {
        "bankTxId": "fitbank_E1320335420250228200542878498597",
        "blockchainTxID": "4c7dff78eddb910b912f633d83472981fa5b8447859a7c66e49957f2a88167af",
        "customerMessage": "Message from payer here",
        "payerName": "John Doe",
        "payerTaxNumber": "12345678901",
        "expiration": "2025-03-05T14:33:56-03:00",
        "pixKey": "68fa2517-5c6d-412d-b991-f0762eeec2e3",
        "qrId": "01954e29d3337e388d5d1cb846b0d053",
        "status": "depix_sent",
        "valueInCents": 12345,
        "delayUntil": "2025-03-06T14:33:56-03:00"
    },
    "async": false
}
🟠404Record Not Found
🟠400Bad request
🟠403Forbidden
🔴500Server Error
🔴503Service Unavailable
Modified at 2026-03-10 10:52:17
Previous
Deposit (PIX ➔ DePix)
Next
Deposits
Built with